/*
 * Copyright 2007-2009 Florian Köberle
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.delphigl.files.hashcalculation;

import java.io.IOException;
import java.io.InputStream;

public class MasterHashCalculator {

	private final SimpleHashCalculator hashCalculator = new SimpleHashCalculator();
	private final ZipFileHashCalculator zipFileHashCalculator = new ZipFileHashCalculator(
			this);

	public byte[] calculateHash(String name, InputStream inputStream)
			throws IOException {
		if (name.endsWith(".zip") || name.endsWith(".jar")) {
			return zipFileHashCalculator.calculateHash(inputStream);
		} else {
			return hashCalculator.calculateHash(inputStream);
		}
	}

}
