/*
 * Copyright 2007-2009 Florian Köberle
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.delphigl.files.uploader.controller;

import java.io.File;

public class RemoteUpdateOperation {
	public static enum Type {
		CREATE, REPLACE, DELETE
	}

	private final Type type;
	private final File localFile;
	private final String relativePath;

	public RemoteUpdateOperation(Type type, File localFile, String relativePath) {
		this.type = type;
		this.localFile = localFile;
		this.relativePath = relativePath;
	}

	public Type getType() {
		return this.type;
	}

	public File getLocalFile() {
		return this.localFile;
	}

	public String getRelativePath() {
		return this.relativePath;
	}
}
