/*
 * Copyright 2007-2009 Florian Köberle
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.delphigl.files.uploader.model;

import java.io.IOException;

public interface Downloader {
	/**
	 * 
	 * @param remotePath
	 *            the full remote path. e.g. /a/b/c.txt
	 * @param localFile
	 *            where should the downloaded file be stored?
	 * @throws IOException
	 *             for any reason.
	 */
	String downloadAsString(String remotePath) throws IOException;

}
