/*
 * Copyright 2007-2009 Florian Köberle
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.delphigl.files.uploader.model;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;

public interface Uploader {

	void uploadFile(String remotePath, File localFile) throws IOException,
			FileNotFoundException;

	void replaceFile(String remotePath, File localFile) throws IOException,
			FileNotFoundException;

	void deleteFile(String remotePath) throws IOException;

}