/*
 * Copyright 2007-2009 Florian Köberle
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.delphigl.files.uploader.view;

import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JFrame;

import com.delphigl.files.uploader.controller.Controller;

public class MainFrame extends JFrame {

	private static final long serialVersionUID = -1086505492513622787L;

	public MainFrame() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle("Download Site Update Tool");

		final Controller controller = new Controller();

		final Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout(5, 5));
		contentPane.add(new ConfigurationPanel(controller), BorderLayout.NORTH);
		contentPane.add(new ButtonPanel(controller), BorderLayout.WEST);
		contentPane.add(new ContentPanel(controller), BorderLayout.CENTER);

		this.setSize(800, 600);
		// pack();
		setVisible(true);
	}

}